<?php
declare(strict_types = 1);

class Config {
    const feed = [
        'title' => '[INHUMAN] a sci-fi webcomic',
        'description' => 'A schizophrenic GMO is kidnapped by fringe militants. When it\'s revealed he\'s part of a top-secret project, he goes on the run with a PTSD alcoholic alien while his kidnappers try to figure out the truth.',
        'feedUrl' => 'http://www.inhuman-comic.com/feed.xml',
        // Since site pages aren't dated by publication, we have to
        // fake it in the RSS feed so readers can show items with
        // correct ordering. This value determines how much fake
        // time to put between each pair of items.
        'itemDelaySeconds' => 604800, // 1 "week"
    ];

    // where to write the feed file
    const feedPath = '/tmp/feed.xml';

    // base URL of the site (used for constructing URLs)
    const baseUrl = "http://www.inhuman-comic.com";

    // archive page URL (what we actually read for comic page links)
    const archiveUrl = 'http://www.inhuman-comic.com/archives.php';

    // how the script identifies itself to the server while spidering
    // (this will also be used as the "Generator" value in the feed XML)
    const userAgent = 'Lexie\'s RSS Monster (for Cial) (lexie@alexis-marie-wright.me)';

    // which log levels to emit (true) or suppress (false)
    // nothing below 'info' should be important in normal operation
    const logLevels = [
        'warn' => true,
        'info' => true,
        'debug' => false,
        'silly' => false
    ];
}
